Referência da APIDatasets
Create a dataset
Authorization
apiKey AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
name*string
Match
^[a-z0-9][a-z0-9_-]*$Length
1 <= length <= 100external_id*string
Field that uniquely identifies a record; must be a required string or integer field.
fields*array<>|null
computed?array<>|null
Response Body
application/json
application/problem+json
curl -X POST "https://example.com/v1/datasets" \ -H "Content-Type: application/json" \ -d '{ "name": "string", "external_id": "string", "fields": [ { "name": "string", "type": "string" } ] }'{ "id": "string", "name": "string", "kind": "source", "source_job_id": "string", "expires_at": "2019-08-24T14:15:22Z", "external_id": "string", "record_count": -9007199254740991, "fields": [ { "name": "string", "type": "string", "scale": 0, "required": true, "normalize": [ "trim" ], "index": true } ], "computed": [ { "name": "string", "from": "string", "normalize": [ "trim" ], "index": true } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}
